Bug 253887 - dns/dnsdist: ensure pidfile is present, with correct ownership
Summary: dns/dnsdist: ensure pidfile is present, with correct ownership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-27 08:52 UTC by Dave Cottlehuber
Modified: 2021-03-03 22:46 UTC (History)
1 user (show)

See Also:
tremere: maintainer-feedback+


Attachments
v1 (666 bytes, text/plain)
2021-02-27 08:52 UTC, Dave Cottlehuber
dch: maintainer-approval? (tremere)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2021-02-27 08:52:50 UTC
Created attachment 222858 [details]
v1

I've seen a number of situations in production where the pidfile is wedged,
and the daemon doesn't restart correctly as a result.

Simple patch ensures that the pidfile is present with correct ownership, but
doesn't bump PORTREVISION.
Comment 1 Ralf van der Enden 2021-03-01 09:34:25 UTC
I'm okay with this change. ;)

IIRC I set both the attachment as the PR's flags to +, but maybe I forgot to press Save on the attachment.
Comment 2 commit-hook freebsd_committer 2021-03-03 22:43:16 UTC
A commit references this bug:

Author: dch
Date: Wed Mar  3 22:42:21 UTC 2021
New revision: 567267
URL: https://svnweb.freebsd.org/changeset/ports/567267

Log:
  dns/dnsdist: ensure pidfile exists & has appropriate permissions

  PR:		253887
  Approved by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Sponsored by:	SkunkWerks, GmbH

Changes:
  head/dns/dnsdist/Makefile
  head/dns/dnsdist/files/dnsdist.in